### Function

# Atk get_default_registry

#### Declaration [src]

    AtkRegistry*
    atk_get_default_registry (
      void
    )

#### Description [src]

Gets a default implementation of the `AtkObjectFactory`/type registry. Note: For most toolkit maintainers, this will be the correct registry for registering new `AtkObject` factories. Following a call to this function, maintainers may call `atk_registry_set_factory_type()` to associate an `AtkObjectFactory` subclass with the GType of objects for whom accessibility information will be provided.

#### Return value

Type: `AtkRegistry`

A default implementation of the `AtkObjectFactory`/type registry.

The caller of the function takes ownership of the data, and is responsible for freeing it.